### Constructor

# GSSDP.Client.new_for_address

#### Declaration [src]

    GSSDPClient*
    gssdp_client_new_for_address (
      GInetAddress* addr,
      guint16 port,
      GSSDPUDAVersion uda_version,
      GError** error
    )

#### Description [src]

Creates a GSSDP client with address `addr`. If none is specified, GSSDP will chose the address it deems most suitable.

Available since: | 1.6.

#### Parameters

`addr` | `GInetAddress*`
| an IP address or `NULL` for auto-detection. If you do not care about the address, but want to specify an address family, use Glib.InetAddress.new_any with the appropriate family instead.
| Can be `NULL`
| The data is owned by the caller of the function
`port` | `guint16`
| The network port to use for M-SEARCH requests or 0 for random.
`uda_version` | `GSSDPUDAVersion`
| The UDA version this client will adhere to

#### Return value

Returns: `GSSDPClient`
A new `GSSDPClient` object or `NULL` on error.
The caller of the function takes ownership of the data, and is responsible for freeing it
Can be `NULL`